/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { PagedLink, SelfLink, Date } from './Common';
import { User } from './User';
export interface PagedOfApproval {
    _expands?: string[];
    size?: number;
    start?: number;
    limit?: number;
    isLastPage?: boolean;
    _links?: PagedLink;
    values?: Approval[];
}
export interface Approval {
    id?: string;
    name?: string;
    finalDecision?: 'approved' | 'declined' | 'pending';
    canAnswerApproval: boolean;
    approvers?: Approver[];
    createdDate?: Date;
    completedDate?: Date;
    _links?: SelfLink;
    condition?: ApprovalCondition;
}
export interface Approver {
    approver?: User;
    approverDecision?: 'approved' | 'declined' | 'pending';
}
export interface ApprovalCondition {
    type?: string;
    value?: string;
}
//# sourceMappingURL=Approval.d.ts.map