/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
export interface SelfLink {
    self?: string;
}
export interface CustomerRequestFieldValue {
    fieldId?: string;
    label?: string;
    value?: any;
    renderedValue?: any;
}
export interface CustomerRequestStatus {
    status?: string;
    statusDate?: Date;
}
export interface Paged {
    _expands?: string[];
    size?: number;
    start?: number;
    limit?: number;
    isLastPage?: boolean;
    _links?: PagedLink;
    values?: CustomerRequestStatus[];
}
export interface PagedLink {
    base?: string;
    context?: string;
    next?: string;
    prev?: string;
    self?: string;
}
export interface Date {
    iso8601?: string;
    jira?: string;
    friendly?: string;
    epochMillis?: number;
}
export interface JsonType {
    type?: string;
    items?: string;
    system?: string;
    custom?: string;
    customId?: number;
}
//# sourceMappingURL=Common.d.ts.map