/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { PagedLink } from './Common';
export interface User {
    name?: string;
    key?: string;
    emailAddress?: string;
    displayName?: string;
    active: boolean;
    timeZone?: string;
    _links?: UserLink;
}
export interface UserLink {
    self?: string;
    jiraRest?: string;
    avatarUrls?: {
        [k: string]: string;
    };
}
export interface PagedOfUser {
    _expands?: string[];
    size?: number;
    start?: number;
    limit?: number;
    isLastPage?: boolean;
    _links?: PagedLink;
    values?: User[];
}
//# sourceMappingURL=User.d.ts.map