/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { HeadersOption } from '@managed-api/commons-core';
import { User } from '../definitions/User';
import { CommonError, ErrorStrategyOption } from '../errorStrategy';
export interface CreateCustomerRequest extends HeadersOption, ErrorStrategyOption {
    body: {
        email: string;
        fullName: string;
    };
}
export interface CreateCustomerResponseOK extends User {
}
export interface CreateCustomerResponseError extends CommonError {
}
//# sourceMappingURL=customer.d.ts.map