/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { Comment } from './Comment';
import { Date } from './Common';
import { User } from './User';
export interface AttachmentCreateResult {
    comment?: Comment;
    attachments?: Attachment[];
}
export interface Attachment {
    filename?: string;
    author?: User;
    created?: Date;
    size: number;
    mimeType?: string;
    _links?: AttachmentLink;
}
export interface AttachmentLink {
    self?: string;
    jiraRest?: string;
    content?: string;
    thumbnail?: string;
}
//# sourceMappingURL=Attachment.d.ts.map