/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { CustomerRequestFieldValue, Paged, Date } from './Common';
import { RequestType } from './Request';
import { ServiceDesk } from './Servicedesk';
import { User } from './User';
export interface CustomerRequest {
    _expands?: string[];
    issueId?: string;
    issueKey?: string;
    requestTypeId?: string;
    requestType?: RequestType;
    serviceDeskId?: string;
    serviceDesk?: ServiceDesk;
    createdDate?: Date;
    reporter?: User;
    requestFieldValues?: CustomerRequestFieldValue[];
    currentStatus?: CustomerRequestStatus;
    status?: Paged;
    participants?: Paged;
    sla?: Paged;
    _links?: CustomerRequestLink;
    issueTypeId?: string;
    projectId?: string;
}
export interface CustomerRequestStatus {
    status?: string;
    statusDate?: Date;
}
export interface CustomerRequestLink {
    self?: string;
    jiraRest?: string;
    web?: string;
}
//# sourceMappingURL=Customer.d.ts.map