/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { HeadersOption } from '@managed-api/commons-core';
import { AttachmentCreateResult } from '../../definitions/Attachment';
import { CommonError, ErrorStrategyOption } from '../../errorStrategy';
export interface CreateRequestAttachmentRequest extends HeadersOption, ErrorStrategyOption {
    issueIdOrKey: string | number;
    body: {
        temporaryAttachmentIds: string[];
        public: boolean;
        additionalComment?: {
            body: string;
        };
    };
}
export interface CreateRequestAttachmentResponseOK extends AttachmentCreateResult {
}
export interface CreateRequestAttachmentResponseError extends CommonError {
}
//# sourceMappingURL=attachment.d.ts.map