/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { HeadersOption } from '@managed-api/commons-core';
import { PagedOfUser } from '../../definitions/User';
import { CommonError, ErrorStrategyOption } from '../../errorStrategy';
export interface AddCustomersToServicedeskRequest extends HeadersOption, ErrorStrategyOption {
    serviceDeskId: number;
    body: {
        usernames: string[];
    };
}
export interface AddCustomersToServicedeskResponseOK extends PagedOfUser {
}
export interface AddCustomersToServicedeskResponseError extends CommonError {
}
//# sourceMappingURL=customer.d.ts.map